function h=tfplot(Vs,t,f,ha)

N = size(Vs,2);

if nargin<3
    t = (0:N-1)/N;
    f = (0:N/2-1)/2/pi;
end

if nargin<4
    h=figure();
    ha = gca;
end
imagesc(t,f,log(1+abs(Vs)),'Parent',ha);
set(gca,'YDir','normal');
colormap('gray');set(gcf,'colormap',flipud(get(gcf,'colormap')));
xlabel('t');ylabel('\omega');
end